CREATE SEQUENCE id_bydle_seq
	START WITH 100	
	increment by 1;

CREATE SEQUENCE id_rodina_seq
	START WITH 100	
	increment by 1;

CREATE SEQUENCE id_zamestnance
	START WITH 1
	INCREMENT BY 1;

CREATE SEQUENCE id_pp
	START WITH 1
	INCREMENT BY 1;
	
CREATE SEQUENCE vojc_cnt 
	START WITH 1
	INCREMENT BY 1;

CREATE OR REPLACE 
FUNCTION pocet_roku (rc VARCHAR) RETURN NUMBER IS
  CURSOR c1 IS
      SELECT (pracovni_pomer.pracoval_do-pracovni_pomer.pracoval_od) rok
          FROM zamestnanec,pracovni_pomer
          WHERE zamestnanec.RC_zamestnance=rc AND
		pracovni_pomer.id_zamestnance=zamestnanec.id_zamestnance AND
		pracovni_pomer.pracoval_do is not null AND	
		pracovni_pomer.typ_pomeru='HPP';
  roky NUMBER;
BEGIN
  FOR c1_k IN c1 LOOP
    roky:=roky+c1_k.rok;
  END LOOP;
  roky:=roky/365;
  RETURN roky;
END; 
/    


CREATE OR REPLACE FUNCTION vyp_inv RETURN NUMBER AS
  pom NUMBER;
BEGIN
    SELECT SUM(TABULKOVA_HODNOTA) INTO pom
   	FROM V_INVALIDNI_DUCHOD 
	WHERE RC_DUCHODCE=V_INVALIDNI_DUCHOD.rc_duchodce AND
		(INV_DO IS NULL);
  RETURN pom;
END;
/
